DelegatorWithdrawAddress
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/delegators/{delegatorAddress}/withdraw_addressimport requests
url = "https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/delegators/{delegatorAddress}/withdraw_address"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/delegators/{delegatorAddress}/withdraw_address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withdraw_address": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}distribution
DelegatorWithdrawAddress
gRPC: cosmos.distribution.v1beta1.Query/DelegatorWithdrawAddress (reference)
DelegatorWithdrawAddress queries withdraw address of a delegator.
GET
/
cosmos
/
distribution
/
v1beta1
/
delegators
/
{delegatorAddress}
/
withdraw_address
DelegatorWithdrawAddress
Path Parameters
delegator_address defines the delegator address to query for.
Response
A successful response.
QueryDelegatorWithdrawAddressResponse is the response type for the Query/DelegatorWithdrawAddress RPC method.
withdraw_address defines the delegator address to query for.
Was this page helpful?